%define real_name OCamlSDL
%define name ocaml-SDL
%define real_version 0.5-pre3
%define version 0.5
%define release 0.pre3.2mdk

Summary: Wrapper around the cross platform Simple DirectMedia Layer game library.
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Source: http://ocamlsdl.sourceforge.net/files/%{real_name}.tar.bz2
Patch0: OCamlSDL-colors-are-unsigned.patch.bz2
Group: Development/Other
URL: http://ocamlsdl.sourceforge.net/
BuildRequires: libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libpng-devel ocaml perl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot/
# Author: brunel@mail.dotcom.fr

%package -n %{name}-devel
Summary: Wrapper around the cross platform Simple DirectMedia Layer game library.
Group: Development/Other
Provides: %{real_name} = %{version}-%{release}
Requires: libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libpng-devel ocaml

%description
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%description -n %{name}-devel
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}
%patch0 -p0
find -name CVS | xargs rm -rf

%build
cd src
perl -pi -e 's/\w+://g' *.mli
cd ..
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
cd samples
make clean
rm Makefile.in
perl -pi -e 's|\.\./lib|%{_libdir}/ocaml/sdl|g' Makefile
cd ..
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-devel
%defattr(-, root, root)
%doc README doc/*.html samples images fonts makefile.toplevel
%{_bindir}/*
%{_libdir}/*

%changelog
* Mon Mar 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-0.pre3.2mdk
- patch #0: color rgb values are unsigned

* Sun Mar 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-1mdk
- first mandrake package
